<?php
get_header();

        global $post;
        $paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
            $default_posts_per_page = get_option( 'posts_per_page' );
            $wte_trip_tax_post_args = array(
                'post_type'         => 'trip', // Your Post type Name that You Registered
                'posts_per_page'    => $default_posts_per_page,
                'order'             => 'ASC',
                'paged'             => $paged
            );
        $wte_trip_tax_post_qry = new WP_Query($wte_trip_tax_post_args);
        if($wte_trip_tax_post_qry->have_posts()) : ?>
            <div id="primary" class="content-area">
                <main id="main" class="site-main">
                    <?php
                    while($wte_trip_tax_post_qry->have_posts()) :
                        $wte_trip_tax_post_qry->the_post(); 
                        // Start the Loop.
                        // while ( have_posts() ) : the_post();
                            /*
                             * Include the Post-Format-specific template for the content.
                             * If you want to override this in a child theme, then include a file
                             * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                             */
                    
                        $wp_travel_engine_setting = get_post_meta( $post->ID,'wp_travel_engine_setting',true );
                        $wp_travel_engine_setting_option_setting = get_option( 'wp_travel_engine_settings', true ); ?>
                        <article class="post">
                            <figure class="post-thumbnail">
                                <a href="<?php echo esc_url( get_the_permalink() );?>" class="trip-post-thumbnail">
                                    <?php
                                    if( has_post_thumbnail() ){ 
                                        the_post_thumbnail( 'adventure-travel-480x325' );
                                    }else{ ?>
                                        <img src="<?php echo esc_url( get_template_directory_uri() . '/images/fallback/no-feature-image.png' ); ?>"><?php
                                    } ?>
                                </a>
                                <span class="trip-price">
                                    <?php
                                    $code = 'USD';
                                    if( isset($wp_travel_engine_setting_option_setting['currency_code']) && $wp_travel_engine_setting_option_setting['currency_code']!='')
                                    {
                                        $code = esc_attr( $wp_travel_engine_setting_option_setting['currency_code'] );
                                    }
                                    $obj = new Wp_Travel_Engine_Functions();
                                    $currency = $obj->wp_travel_engine_currencies_symbol( $code );
                                    $cost = isset( $wp_travel_engine_setting['trip_price'] ) ? $wp_travel_engine_setting['trip_price']: '';
                                    
                                    $prev_cost = isset( $wp_travel_engine_setting['trip_prev_price'] ) ? $wp_travel_engine_setting['trip_prev_price']: '';

                                    $code = 'USD';
                                    if( isset( $wp_travel_engine_setting_option_setting['currency_code'] ) && $wp_travel_engine_setting_option_setting['currency_code']!= '' )
                                    {
                                        $code = $wp_travel_engine_setting_option_setting['currency_code'];
                                    } 
                                    $obj = new Wp_Travel_Engine_Functions();
                                    $currency = $obj->wp_travel_engine_currencies_symbol( $code );
                                    $prev_cost = isset($wp_travel_engine_setting['trip_prev_price']) ? $wp_travel_engine_setting['trip_prev_price']: '';
                                    if( $cost!='' && isset($wp_travel_engine_setting['sale']) )
                                    {
                                        $obj = new Wp_Travel_Engine_Functions();
                                        echo '<span class="price-holder" itemprop="priceRange">'.esc_attr($currency).esc_attr( $obj->wp_travel_engine_price_format($cost) ).'</span>';
                                    }
                                    else{ 
                                        if( $prev_cost!='' )
                                        {
                                            $obj = new Wp_Travel_Engine_Functions();
                                            echo '<span class="price-holder" itemprop="priceRange">'.esc_attr($currency).esc_attr( $obj->wp_travel_engine_price_format($prev_cost) ).'</span>';
                                        }
                                    } ?>
                                </span>
                            </figure>
                            <div class="content-wrap">
                                <header class="entry-header">
                                    <h4 class="entry-title">
                                        <a href="<?php echo esc_url( get_the_permalink() );?>"><?php the_title();?></a>
                                    </h4>
                                    <div class="trip-meta">
                                        <?php
                                        $nonce = wp_create_nonce( 'wp-travel-engine-nonce' );
                                        if( isset( $wp_travel_engine_setting['trip_duration'] ) && $wp_travel_engine_setting['trip_duration']!='' ){ ?>
                                            <div class="trip-duration">
                                                <i class="fas fa-clock"></i>
                                                <?php
                                                echo esc_attr($wp_travel_engine_setting['trip_duration']); if($wp_travel_engine_setting['trip_duration']>1){ _e(' days','adventure-travel');} else{ _e(' day','adventure-travel'); } ?>
                                            </div>
                                            <?php 
                                        }
                                        if( class_exists( 'Wte_Trip_Review_Init' ) ){ ?>
                                            <div class="trip-rating">
                                                <?php
                                                global $post;
                                                $comments = get_comments( array(
                                                    'post_id' => $post->ID,
                                                    'status' => 'approve',
                                                ) );
                                                if ( !empty( $comments ) ){
                                                    echo '<div class="review-wrap"><div class="average-rating">';
                                                    $sum = 0;
                                                    $i = 0;
                                                    foreach($comments as $comment) {
                                                        $rating = get_comment_meta( $comment->comment_ID, 'stars', true );
                                                        $sum = $sum+$rating;
                                                        $i++;
                                                    }
                                                    $aggregate = $sum/$i;
                                                    $aggregate = round($aggregate,2);

                                                    echo 
                                                    '<script>
                                                        jQuery(document).ready(function($){
                                                            $(".agg-rating").rateYo({
                                                                rating: '.$aggregate.'
                                                            });
                                                        });
                                                    </script>';
                                                    echo '<div class="agg-rating"></div><div itemprop="aggregateRating" class="aggregate-rating" itemscope="" itemtype="http://schema.org/AggregateRating">
                                                    <span class="rating-star" itemprop="ratingValue"></span><span itemprop="reviewCount">'.$i.'</span> '. esc_html( _nx( 'review', 'reviews', $i, 'reviews count', 'adventure-travel' ) ) .'</div>';
                                                    echo '</div></div><!-- .review-wrap -->';
                                                }
                                                ?>  
                                            </div>
                                            <?php 
                                        } ?>
                                    </div>
                                </header>
                            </div>
                        </article>
                        <?php
                    endwhile; 
                    wp_reset_postdata(); ?>
                </main> <!-- #main -->
                <?php 
                the_posts_pagination( 
                    array(
                        'mid_size'  => 3,
                        'prev_text' => __( 'Previous', 'adventure-travel' ),
                        'next_text' => __( 'Next', 'adventure-travel' ),
                    )
                );
                ?>
            </div> <!-- #primary -->
            <?php
        endif;
        wp_reset_query();
    get_footer();