<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Adventure_Travel
 */
		?>
	</div>
		<footer class="site-footer" style="background-image: url(<?php echo esc_url( get_template_directory_uri() . '/images/footer-bg.jpg' ); ?> )">
			<div class="container">
				<?php 
				$footer_sidebars = array( 'footer-one', 'footer-two', 'footer-three', 'footer-four' );
				$active_sidebars = array();
			    $sidebar_count   = 0;
			    
			    foreach ( $footer_sidebars as $sidebar ) {
			        if( is_active_sidebar( $sidebar ) ){
			            array_push( $active_sidebars, $sidebar );
			            $sidebar_count++ ;
			        }
			    }
			                 
			    if( $active_sidebars ){ ?>
			        <div class="footer-t column-<?php echo esc_attr( $sidebar_count ); ?>">
		                <?php 
		                foreach( $active_sidebars as $active ){ ?>
		    				<div class="footer-block">
		    				   <?php dynamic_sidebar( $active ); ?>	
		    				</div>
		                	<?php 
		                } ?>
		    		</div>
			        <?php 
			    }
			    ?>
			    <div class="footer-bottom">
				    <?php
				    echo '<div class="copyright">';
					 	$copyright = get_theme_mod( 'footer_copyright' );
					    if( $copyright ){
					        echo wp_kses_post( $copyright );
					    }else{
					        esc_html_e( '&copy; Copyright ', 'adventure-travel' );
					        echo date_i18n( esc_html__( ' Y ', 'adventure-travel' ) );
					        esc_html_e( ' All Rights Reserved. ', 'adventure-travel' );					    	
		        		}	
		        		echo '<span class="author-link"><a href="' . esc_url( 'https://labtheme.com/wordpress-themes/adventure-travel/' ) .'" rel="author" target="_blank">' . esc_html__( ' Adventure Travel', 'adventure-travel' ) . '</a>' . esc_html__( ' by Lab Theme.', 'adventure-travel' ) . '</span>';
					    	// translators: 1: span tag, 2: WordPress link */
		        		printf( esc_html__( ' %1$s  Powered by %2$s%3$s', 'adventure-travel' ), '<span class="wp-link">', '<a href="'. esc_url( __( 'https://wordpress.org/', 'adventure-travel' ) ) .'" target="_blank">WordPress</a>.', '</span>' );
					echo '</div>';

	        		adventure_travel_social_icons( true );
				    ?>				
				</div> <!-- .footer-bottom -->
			</div> <!-- .container -->
		</footer> <!-- .site-footer -->
	</div> <!-- .site -->
	<?php wp_footer(); ?>
</body>
</html>