<?php
/*
 *
 * Adventure Travel functions and required
 *
 * @package Adventure_Travel
 *
 */

/*
 *
 * Custom template tags for this theme.
 *
 */
require get_template_directory() . '/inc/template-tags.php';

/*
 *
 * Functions which enhance the theme by hooking into WordPress.
 *
 */
require get_template_directory() . '/inc/template-functions.php';

/*
 *
 * Customizer additions.
 *
 */
require get_template_directory() . '/inc/custom-controls/custom-control.php';

/*
 *
 * Customizer additions.
 *
 */
require get_template_directory() . '/inc/customizer/customizer.php';

/*
 *
 * Standalone Functions.
 *
 */
require get_template_directory() . '/inc/extras.php';

/*
 *
 * Metabox
 *
 */
require get_template_directory() . '/inc/metabox.php';

/*
 *
 * Plugin Recommendation
 *
 */
require get_template_directory() . '/inc/tgmpa/recommended-plugins.php';

/*
 *
 * Plugin Recommendation
 *
 */
require get_template_directory() . '/inc/custom-functions.php';

/*
 *
 * Plugin Recommendation
 *
 */
require get_template_directory() . '/inc/customizer/selective-refresh.php';

/*
 *
 * Check if Contact Form 7 Plugin is installed
 *
 */
function Adventure_Travel_is_cf7_activated(){
    return class_exists( 'WPCF7' ) ? true : false;
}

/*
 *
 * Check if WP Travel Engine Plugin is installed
 *
 */
function Adventure_Travel_is_wp_travel_engine_activated(){
    return class_exists( 'Wp_Travel_Engine' ) ? true : false;
}

/*
 *
 * Check if Labtheme Companion Plugin is installed
 *
 */
function Adventure_Travel_is_labtheme_companion_activated(){
    return class_exists( 'Labtheme_Companion' ) ? true : false;
}

/*
 *
 * Check if WTE Advance Search is active
 *
 */
function is_wte_advanced_search_active(){
    return class_exists( 'Wte_Advanced_Search' ) ? true : false;
}

/*
 *
 * Load Jetpack compatibility file.
 *
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/jetpack.php';
}

/*
 *
 * Query Jetpack activation
 *
 */
function is_jetpack_activated( $gallery = false ){
	if( $gallery ){
        return ( class_exists( 'jetpack' ) && Jetpack::is_module_active( 'tiled-gallery' ) ) ? true : false;
	}else{
        return class_exists( 'jetpack' ) ? true : false;
    }           
}