<?php
/**
 * Adventure Travel Theme Customizer
 *
 * @package Adventure_Travel
 */

/**
 * Requiring customizer panels & sections
*/
$adventure_travel_sections 		= array( 'header', 'social', 'footer' );
$adventure_travel_panels       	= array( 'home', 'general' );
$adventure_travel_sub_sections 	= array(
    'home'       	=> array( 'banner', 'why_choose', 'best_seller', 'popular_destination', 'featured_trip', 'popular_activities', 'stat_counter', 'testimonial', 'blog' ),
    'general'		=> array( 'seo' ),
);

foreach( $adventure_travel_sections as $s ){
	require get_template_directory() . '/inc/customizer/sections/' . $s . '.php';
}

foreach( $adventure_travel_panels as $p ){
	require get_template_directory() . '/inc/customizer/panels/' . $p . '.php';
}

foreach( $adventure_travel_sub_sections as $k => $v ){
    foreach( $v as $w ){        
        require get_template_directory() . '/inc/customizer/panels/' . $k . '/' . $w . '.php';
    }
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function adventure_travel_customize_preview_js() {
	wp_enqueue_script( 'adventure-travel-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '', true );
}
add_action( 'customize_preview_init', 'adventure_travel_customize_preview_js' );


/**
 * Sanitization Functions
*/
require get_template_directory() . '/inc/customizer/sanitization-functions.php';

/*
 * Notifications in customizer
 */
require get_template_directory() . '/inc/customizer-plugin-recommend/customizer-notice/class-customizer-notice.php';

require get_template_directory() . '/inc/customizer-plugin-recommend/plugin-install/class-plugin-install-helper.php';

require get_template_directory() . '/inc/customizer-plugin-recommend/plugin-install/class-plugin-recommend.php';

$config_customizer = array(
	'recommended_plugins' => array(
		//change the slug for respective plugin recomendation
        'wp-travel-engine' => array(
			'recommended' => true,
			'description' => sprintf(
				/* translators: %s: plugin name */
				esc_html__( 'If you want to take full advantage of the features this theme has to offer, please install and activate %s plugin.', 'adventure-travel' ), '<strong>WP Travel Engine</strong>'
			),
		),
	),
	'recommended_plugins_title' => esc_html__( 'Recommended Plugin', 'adventure-travel' ),
	'install_button_label'      => esc_html__( 'Install and Activate', 'adventure-travel' ),
	'activate_button_label'     => esc_html__( 'Activate', 'adventure-travel' ),
	'deactivate_button_label'   => esc_html__( 'Deactivate', 'adventure-travel' ),
);
Adventure_Travel_Customizer_Notice::init( apply_filters( 'adventure_travel_customizer_notice_array', $config_customizer ) );
