<?php
/**
 * Banner Section
 *
 * @package Adventure_Travel
 */

function adventure_travel_customize_register_frontpage_banner( $wp_customize ) {
	
    $wp_customize->get_section( 'header_image' )->panel                    = 'frontpage_settings';
    $wp_customize->get_section( 'header_image' )->title                    = __( 'Banner Section', 'adventure-travel' );
    $wp_customize->get_section( 'header_image' )->priority                 = 10;
    $wp_customize->get_section( 'header_image' )->description              = '';                                               
    $wp_customize->get_setting( 'header_image' )->transport                = 'refresh';
    $wp_customize->get_setting( 'header_video' )->transport                = 'refresh';
    $wp_customize->get_setting( 'external_header_video' )->transport       = 'refresh';
    
    /** Banner Options */
    $wp_customize->add_setting( 
        'ed_banner_section', 
        array(
            'default'           => false,
            'sanitize_callback' => 'adventure_travel_sanitize_checkbox'
        ) 
    );
    
    $wp_customize->add_control(
        new Adventure_Travel_Controls_Toggle_Control( 
            $wp_customize,
            'ed_banner_section',
            array(
                'section'         => 'header_image',
                'label'           => __( 'Enable Banner', 'adventure-travel' ),
                'priority'        => 1,
            )
        )
    );
    
    /** Title */
    $wp_customize->add_setting(
        'banner_title',
        array(
            'default'           => __( 'Find your trip', 'adventure-travel' ),
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        )
    );
    
    $wp_customize->add_control(
        'banner_title',
        array(
            'label'           => __( 'Banner Title', 'adventure-travel' ),
            'section'         => 'header_image',
            'type'            => 'text',
        )
    );


    /** Title */
    $wp_customize->add_setting(
        'banner_subtitle',
        array(
            'default'           => __( 'you can now find the trips for you', 'adventure-travel' ),
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        )
    );
    
    $wp_customize->add_control(
        'banner_subtitle',
        array(
            'label'           => __( 'Banner Subtitle', 'adventure-travel' ),
            'section'         => 'header_image',
            'type'            => 'text',
        )
    );
    

    
    /** Banner search*/
    $wp_customize->add_setting(
        'ed_banner_search',
        array(
            'default'           => '1',
            'sanitize_callback' => 'adventure_travel_sanitize_checkbox',
        )
    );
    
    $wp_customize->add_control(
        'ed_banner_search',
        array(
            'label'           => __( 'Enable/Disable Banner Search', 'adventure-travel' ),
            'section'         => 'header_image',
            'type'            => 'checkbox',
        )
    );
    /** Slider Settings Ends */  
}
add_action( 'customize_register', 'adventure_travel_customize_register_frontpage_banner' );