<?php
/**
 * Blog Section
 *
 * @package Adventure_Travel
 */

function adventure_travel_customize_register_frontpage_blog( $wp_customize ){

    /** Blog Section */
    $wp_customize->add_section(
        'blog_section',
        array(
            'title'    => __( 'Blog Section', 'adventure-travel' ),
            'priority' => 75,
            'panel'    => 'frontpage_settings',
        )
    );

    /** Blog Options */
    $wp_customize->add_setting(
        'ed_blog_section',
        array(
            'default'           => true,
            'sanitize_callback' => 'adventure_travel_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        new Adventure_Travel_Controls_Toggle_Control(
            $wp_customize,
            'ed_blog_section',
            array(
                'label'       => __( 'Enable Blog Section', 'adventure-travel' ),
                'description' => __( 'Enable to show blog section.', 'adventure-travel' ),
                'section'     => 'blog_section',
            )            
        )
    );

    /** Blog title */
    $wp_customize->add_setting(
        'blog_section_title',
        array(
            'default'           => __( 'Latest Articles', 'adventure-travel' ),
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        )
    );
    
    $wp_customize->add_control(
        'blog_section_title',
        array(
            'section'         => 'blog_section',
            'label'           => __( 'Blog Title', 'adventure-travel' ),
        )
    );

    /** Blog description */
    $wp_customize->add_setting(
        'blog_section_subtitle',
        array(
            'default'           => __( 'You can find the latest news and articles here', 'adventure-travel' ),
            'sanitize_callback' => 'wp_kses_post',
            'transport'         => 'postMessage'
        )
    );
    
    $wp_customize->add_control(
        'blog_section_subtitle',
        array(
            'section'         => 'blog_section',
            'label'           => __( 'Blog Description', 'adventure-travel' ),
        )
    ); 
    
    /** View All Label */
    $wp_customize->add_setting(
        'blog_view_all',
        array(
            'default'           => __( 'SEE ALL POSTS', 'adventure-travel' ),
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        )
    );
    
    $wp_customize->add_control(
        'blog_view_all',
        array(
            'label'           => __( 'View All Label', 'adventure-travel' ),
            'section'         => 'blog_section',
            'type'            => 'text',
        )
    );
    
    /** Blog Section Ends */  
}
add_action( 'customize_register', 'adventure_travel_customize_register_frontpage_blog' );