<?php
/**
 * POpular destination Section
 *
 * @package Adventure Travel
 */

function adventure_travel_customize_register_frontpage_pop_testimonial_section( $wp_customize ){

    /** Stat Counter Section */
    $wp_customize->add_section(
        'testimonial_section',
        array(
            'title'         => __( 'Testimonial Section', 'adventure-travel' ),
            'priority'      => 25,
            'panel'         => 'frontpage_settings',
        )
    );

    /** Open Link in new tab */
    $wp_customize->add_setting( 
        'ed_testimonial_section', 
        array(
            'default'           => false,
            'sanitize_callback' => 'adventure_travel_sanitize_checkbox'
        ) 
    );
    
    $wp_customize->add_control(
        new Adventure_Travel_Controls_Toggle_Control( 
            $wp_customize,
            'ed_testimonial_section',
            array(
                'section'         => 'testimonial_section',
                'label'           => __( 'Enable Testimonial', 'adventure-travel' ),
            )
        )
    );

    /** Background Image */
    $wp_customize->add_setting(
        'testimonial_bg_image',
        array(
            'default'           => get_template_directory_uri() . '/images/testimonial-bg.jpg',
            'sanitize_callback' => 'esc_url',
        )
    );
    
    $wp_customize->add_control(
       new WP_Customize_Image_Control(
           $wp_customize,
           'testimonial_bg_image',
           array(
               'label'    => __( 'Background Image', 'adventure-travel' ),
               'section'  => 'testimonial_section',
           )
       )
    );

    /** Title */
    $wp_customize->add_setting(
        'testimonial_title',
        array(
            'default'           => __( 'Testimonials', 'adventure-travel' ),
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        )
    );
    
    $wp_customize->add_control(
        'testimonial_title',
        array(
            'label'           => __( 'Testimonial Title', 'adventure-travel' ),
            'section'         => 'testimonial_section',
            'type'            => 'text',
        )
    );

    /** Title */
    $wp_customize->add_setting(
        'testimonial_desc',
        array(
            'default'           => __( 'Show what your customers say about and how they give comments', 'adventure-travel' ),
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        )
    );
    
    $wp_customize->add_control(
        'testimonial_desc',
        array(
            'label'           => __( 'Testimonial Desc', 'adventure-travel' ),
            'section'         => 'testimonial_section',
            'type'            => 'text',
        )
    );

    $wp_customize->add_setting( "testimonial_cat",
        array(
            'default'           => '',
            'sanitize_callback' => 'adventure_travel_sanitize_select',
        )
    );
    $wp_customize->add_control( "testimonial_cat",
        array(
            'label'           => esc_html__( 'Testimonial ', 'adventure-travel' ),
            'section'         => 'testimonial_section',
            'type'            => 'select',
            'choices'         => adventure_travel_get_categories( true, 'category', false ),
        )
    );
}
add_action( 'customize_register', 'adventure_travel_customize_register_frontpage_pop_testimonial_section' );