<?php
/**
 * Header Setting
 *
 * @package Adventure_Travel
 */

function adventure_travel_customize_register_general_header( $wp_customize ) {
	
    $wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
    $wp_customize->get_setting( 'background_color' )->transport = 'refresh';
    $wp_customize->get_setting( 'background_image' )->transport = 'refresh';
   
    /** Header Settings */
    $wp_customize->add_section(
        'header_settings',
        array(
            'title'    => __( 'Header Settings', 'adventure-travel' ),
            'priority' => 20,
        )
    );

    /** Open Link in new tab */
    $wp_customize->add_setting( 
        'ed_header', 
        array(
            'default'           => true,
            'sanitize_callback' => 'adventure_travel_sanitize_checkbox'
        ) 
    );
    
    $wp_customize->add_control(
        new Adventure_Travel_Controls_Toggle_Control( 
            $wp_customize,
            'ed_header',
            array(
                'section'         => 'header_settings',
                'label'           => __( 'Enable header', 'adventure-travel' ),
            )
        )
    );

    /** Email icon  */
    $wp_customize->add_setting(
        'header_email',
        array(
            'default'           => __( 'info@example.com', 'adventure-travel' ),
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        )
    );
    
    $wp_customize->add_control(
        'header_email',
        array(
            'label'           => __( 'Mail', 'adventure-travel' ),
            'section'         => 'header_settings',
            'type'            => 'url',
        )
    );
     $wp_customize->selective_refresh->add_partial( 'header_email', array(
        'selector'        => '.header-t .container .header-left .email',
        'render_callback' => 'adventure_travel_header_email',
    ) );

    /** Custom Link label  */
    $wp_customize->add_setting(
        'header_phone',
        array(
            'default'           => __( '+0 0000000000', 'adventure-travel' ),
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        )
    );
    
    $wp_customize->add_control(
        'header_phone',
        array(
            'label'           => __( 'Phone', 'adventure-travel' ),
            'section'         => 'header_settings',
            'type'            => 'text',
        )
    );

    $wp_customize->selective_refresh->add_partial( 'header_phone', array(
        'selector'        => '.header-t .container .header-left .phone',
        'render_callback' => 'adventure_travel_header_phone',
    ) );
    
    /** Header Settings Ends */
}
add_action( 'customize_register', 'adventure_travel_customize_register_general_header' );