<?php
/**
 * Header Settings
 *
 * @package Travel_Agency
 */

function adventure_travel_customize_register_social( $wp_customize ) {
    
    $wp_customize->add_section( 'social_setting', array(
        'title'    => __( 'Social Settings', 'adventure-travel' ),
        'priority' => 50,
    ) );
    
    /** Enable/Disable Social Links */
    $wp_customize->add_setting(
        'ed_social_links',
        array(
            'default'           => true,
            'sanitize_callback' => 'adventure_travel_sanitize_checkbox',
        )
    );
    
    $wp_customize->add_control(
        'ed_social_links',
        array(
            'section'     => 'social_setting',
            'label'       => __( 'Social Links', 'adventure-travel' ),
            'description' => __( 'Enable to show social links in header.', 'adventure-travel' ),
            'type'        => 'checkbox'
        )       
    );

    /** Title */
    $wp_customize->add_setting(
        'social_links_title',
        array(
            'default'           => __( 'Follow us on', 'adventure-travel' ),
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        )
    );
    
    $wp_customize->add_control(
        'social_links_title',
        array(
            'label'           => __( 'Social icon Title', 'adventure-travel' ),
            'description'     => __( 'Display only on footer', 'adventure-travel' ),
            'section'         => 'social_setting',
            'type'            => 'text',
        )
    );
    
    /** Social Links */
    $wp_customize->add_setting( 
        new Adventure_Travel_Repeater_Setting( 
            $wp_customize, 
            'social_links', 
            array(
                'default' => array(
                    array(
                        'font' => 'fab fa-facebook',
                        'link' => 'https://www.facebook.com/',                        
                    ),
                    array(
                        'font' => 'fab fa-twitter',
                        'link' => 'https://twitter.com/',
                    ),
                    array(
                        'font' => 'fab fa-youtube',
                        'link' => 'https://www.youtube.com/',
                    ),
                    array(
                        'font' => 'fab fa-instagram',
                        'link' => 'https://www.instagram.com/',
                    )
                ),
                'sanitize_callback' => array( 'Adventure_Travel_Repeater_Setting', 'sanitize_repeater_setting' ),
            ) 
        ) 
    );
    
    $wp_customize->add_control(
        new Adventure_Travel_Control_Repeater(
            $wp_customize,
            'social_links',
            array(
                'section' => 'social_setting',              
                'label'   => __( 'Social Links', 'adventure-travel' ),
                'fields'  => array(
                    'font' => array(
                        'type'        => 'font',
                        'label'       => __( 'Font Awesome Icon', 'adventure-travel' ),
                        'description' => __( 'Example: fa-bell', 'adventure-travel' ),
                    ),
                    'link' => array(
                        'type'        => 'url',
                        'label'       => __( 'Link', 'adventure-travel' ),
                        'description' => __( 'Example: http://facebook.com', 'adventure-travel' ),
                    )
                ),
                'row_label' => array(
                    'type' => 'field',
                    'value' => __( 'links', 'adventure-travel' ),
                    'field' => 'link'
                )                        
            )
        )
    );
}
add_action( 'customize_register', 'adventure_travel_customize_register_social' );