<?php

    /**
    * Fuction to list Post Type
    */
    function adventure_travel_get_posts( $post_type = 'post' ){
        
        $args = array(
            'posts_per_page'   => -1,
            'post_type'        => $post_type,
            'post_status'      => 'publish',
            //'suppress_filters' => true 
        );
        $posts_array = get_posts( $args );
        
        // Initate an empty array
        $post_options = array();
        $post_options[''] = __( ' -- Choose -- ', 'adventure-travel' );
        if ( ! empty( $posts_array ) ) {
            foreach ( $posts_array as $posts ) {
                $post_options[ $posts->ID ] = $posts->post_title;
            }
        }
        return $post_options;
        wp_reset_postdata();
    }

    /**
    * Social Icon
    * 
    */
    function adventure_travel_social_icons( $footer = true ){ 
        $default = array(
            array(
                'font' => 'fab fa-facebook',
                'link' => 'https://www.facebook.com/',                        
            ),
            array(
                'font' => 'fab fa-twitter',
                'link' => 'https://twitter.com/',
            ),
            array(
                'font' => 'fab fa-youtube',
                'link' => 'https://www.youtube.com/',
            ),
            array(
                'font' => 'fab fa-instagram',
                'link' => 'https://www.instagram.com/',
            )
        );

        $ed_social_links    = get_theme_mod( 'ed_social_links', true );
        $social_links_title = get_theme_mod( 'social_links_title', __('Follow us on', 'adventure-travel' ) );
        $social_links       = get_theme_mod( 'social_links', $default );
        if( $ed_social_links ){ ?>
            <div class="<?php if( $footer ){ echo 'footer-social'; }else{ echo 'header-right'; } ?>">
                <?php if( $footer ){ ?>
                    <span><?php echo esc_html( $social_links_title, 'adventure-travel' ); ?></span>
                <?php }
                if( $social_links ){ ?>
                    <ul class="social-list">
                        <?php 
                        foreach ($social_links as $social ) { ?>
                            <li>
                                <a href="<?php echo esc_url( $social['link'] ); ?>">
                                    <i class="<?php echo esc_attr( $social['font'] ); ?>"></i>
                                </a>
                            </li>
                            <?php 
                        } ?>
                    </ul>
                    <?php 
                } ?>
            </div>
            <?php
        }
    }

    if( ! function_exists( 'adventure_travel_header_banner' ) ) :
        /**
         * Prints header banner
        */
        function adventure_travel_header_banner(){

            $ed_banner_section  = get_theme_mod( 'ed_banner_section', true );

            if( $ed_banner_section ){

                global $post;

                if( is_home() || is_archive() || is_search() ){
                    if( has_header_image() ){
                        $image_url = get_header_image();
                    }else{
                        $image_url = get_template_directory_uri() . '/images/fallback/adventure-travel-banner.jpg';
                    }
                }elseif( is_object( $post ) && in_array( get_post_type(), array( 'post', 'page', 'trip' ) ) ){
                    if( has_post_thumbnail( $post->ID ) ){
                        $image_url = get_the_post_thumbnail_url( $post->ID, 'adventure-travel-banner' );
                    }elseif( has_header_image() ){
                        $image_url = get_header_image();
                    }else{
                        $image_url = get_template_directory_uri() . '/images/fallback/adventure-travel-banner.jpg';
                    }
                }elseif( has_header_image() ){
                    $image_url = get_header_image();
                }else{
                    $image_url = get_template_directory_uri() . '/images/fallback/adventure-travel-banner.jpg';
                }

                $style = '';

                if( $image_url ){
                    $style = 'style="background: url('. esc_url( $image_url ) .') no-repeat center center fixed;"';
                }
                ?>
            
                <header class="page-header" <?php echo $style; ?> itemscope itemtype="http://schema.org/WPHeader">
                    <div class="container">
                        <?php 
                        if( is_front_page() && is_home() ){
                            $blog_title = get_theme_mod( 'blog_section_title', __( 'Recent Posts', 'adventure-travel' ) ); 
                            $blog_desc  = get_theme_mod( 'blog_section_subtitle', __( 'You can find the latest news and articles here', 'adventure-travel' ) ); 
                            echo '<h2 class="page-title" itemprop="name">'. esc_html( $blog_title ) .'</h2><div class="page-content"><p  itemprop="description">'. esc_html( $blog_desc ) .'</p></div>';
                        }

                        if ( is_home() && ! is_front_page() ){ 
                            $blog_desc = get_theme_mod( 'blog_section_subtitle', __( 'You can find the latest news and articles here', 'adventure-travel' ) );
                            echo '<h2 class="page-title">' . single_post_title( '', false ) . '</h2><div class="page-content"><p  itemprop="description">'. esc_html( $blog_desc ) .'</p></div>';
                        }

                        if( is_archive() ){
                            if( is_author() ){
                                $author_name = get_the_author_meta( 'display_name' );
                                $author_bio  = get_the_author_meta( 'description' );
                                ?>
                                <div class="about-author">
                                    <figure class="author-img">
                                        <?php echo get_avatar( get_the_author_meta( 'ID' ), 120 ); ?>
                                    </figure>
                                    <div class="author-content-wrap">
                                        <?php 
                                            if( $author_name ){ 
                                                echo '<h3 class="author-name"><span class="title-wrap"  itemprop="author"><b>'. esc_html__( 'All Posts By :', 'adventure-travel' ) .'</b> '. esc_html( $author_name ) .'</span>
                                            </h3>';
                                            }

                                            if( $author_bio ){
                                                echo ' <div class="author-info">'. wp_kses_post( get_the_author_meta( 'description' ) ) .'</div>';
                                            }
                                        ?>
                                    </div>
                                </div> <!-- .about-author -->
                                <?php 
                            }elseif( is_post_type_archive( 'trip' ) ){
                                the_archive_title('<h1 class="page-title" itemprop="name">', '</h1>');
                            }
                            else{
                                the_archive_title('<h1 class="page-title"  itemprop="name">', '</h1>');
                                echo '<div class="page-content"><p>' .  wp_trim_words( get_the_archive_description( ), 30 ) . '</p></div>';
                            }
                        }

                        if( is_search() ){ 
                            global $wp_query;
                            echo '<h1 class="page-title">  itemprop="name"';
                                printf( esc_html__( 'Search Results for: %s', 'adventure-travel' ), '<span>' . get_search_query() . '</span>' );
                            echo '</h1><h3 class="search-bar">';
                            get_search_form();
                            echo '</h3>';

                        }

                        if( is_singular() ){
                            while ( have_posts() ) : the_post();
                                the_title( '<h1 class="page-title"  itemprop="name">', '</h1>' );
                                echo '<div class="page-content"><p>' . wp_trim_words( get_the_content(), 15, '...' ) . '</p></div>' ; 
                            endwhile;
                        }

                        if( is_404() ){
                            echo '<h1 class="page-title"  itemprop="name">'. esc_html__( 'Error 404', 'adventure-travel' ) .'</h1>';
                        }

                        if( ! is_front_page() ){
                            adventure_travel_breadcrumb();
                        }
                        ?>
                    </div>
                </header>
                <?php
            }
        }
    endif;

    if ( ! function_exists( 'adventure_travel_category' ) ) :
        /**
         * Prints categories
         */
        function adventure_travel_category( $section = '' ){
            // Hide category and tag text for pages.
            if ( 'post' === get_post_type() ) {
                /* translators: used between list items, there is a space after the comma */
                $categories_list = get_the_category();
                if ( $categories_list ) {
                    echo '<span class="category">';
                        foreach ( $categories_list as $category ) {
                            $cat_name = $category->cat_name;
                            $cat_url = get_term_link( $category->term_id );

                            if( $cat_name && $cat_url ){
                                echo '<a href="'. esc_url( $cat_url ) .'">'. esc_html( $cat_name ) .'</a>';
                            }
                        }
                    echo '</span>';
                }
            }
        }
    endif;

    /**
     * Fallback for primary menu
    */
    if( ! function_exists( 'Adventure_Travel_primary_menu_fallback' ) ) :
        function Adventure_Travel_primary_menu_fallback(){
            if( current_user_can( 'manage_options' ) ){
                echo '<ul id="primary-menu" class="menu">';
                echo '<li><a href="' . esc_url( admin_url( 'nav-menus.php' ) ) . '">' . esc_html__( 'Click here to add a menu', 'adventure-travel' ) . '</a></li>';
                echo '</ul>';
            }
        }
    endif;

    if( ! function_exists( 'adventure_travel_get_page_id_by_template' ) ) :
        /**
         * Returns Page ID by Page Template
        */
        function adventure_travel_get_page_id_by_template( $template_name ){
            $args = array(
                'post_type'  => 'page',
                'fields'     => 'ids',
                'nopaging'   => true,
                'meta_key'   => '_wp_page_template',
                'meta_value' => $template_name
            );
            return $pages = get_posts( $args );    
        }
    endif;

    /**
     * Function to list post categories in customizer options
    */
    function adventure_travel_get_categories( $select = true, $taxonomy = 'category', $slug = false ){

        /* Option list of all categories */
        $categories = array();
        if( $select ) $categories[''] = __( 'Choose Category', 'adventure-travel' );
        
        if( taxonomy_exists( $taxonomy ) ){
            $args = array( 
                'hide_empty' => false,
                'taxonomy'   => $taxonomy 
            );
            
            $catlists = get_terms( $args );
            
            foreach( $catlists as $category ){
                if( $slug ){
                    $categories[$category->slug] = $category->name;
                }else{
                    $categories[$category->term_id] = $category->name;    
                }        
            }
        }
        return $categories;
    }

    /**
     * Get Trip Currency
    */
    function adventure_travel_get_trip_currency(){
        $currency = '';
        if( Adventure_Travel_is_wp_travel_engine_activated() ){
            $wpte_setting = get_option( 'wp_travel_engine_settings', true ); 
            $code = 'USD';
            if( isset( $wpte_setting['currency_code'] ) && $wpte_setting['currency_code']!= '' ){
                $code = $wpte_setting['currency_code'];
            } 
            $obj = new Wp_Travel_Engine_Functions();
            $currency = $obj->wp_travel_engine_currencies_symbol( $code );
        }
        return $currency;
    }

    if( ! function_exists( 'adventure_travel_breadcrumb' ) ) :
        /**
         * Breadcrumbs
        */
        function adventure_travel_breadcrumb(){ 
            global $post;
            $breadcrumb = get_theme_mod( 'ed_breadcrumb', true );
            $post_page  = get_option( 'page_for_posts' ); //The ID of the page that displays posts.
            $show_front = get_option( 'show_on_front' ); //What to show on the front page    
            $home       = get_theme_mod( 'home_text', __( 'Home', 'adventure-travel' ) ); // text for the 'Home' link
            $delimiter  = '<span class="separator"> > </span>';
            $before     = '<span class="current">'; // tag before the current crumb
            $after      = '</span>'; // tag after the current crumb
                if( $breadcrumb ):
                echo '<div class="breadcrumb" itemscope itemtype="http://schema.org/BreadcrumbList">
                        <div id="crumbs" itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">
                            <a href="' . esc_url( home_url() ) . '" itemprop="item">' . esc_html( $home ) . '</a> ' . $delimiter;
                
                if( is_home() ){
                    
                    echo $before . esc_html( single_post_title( '', false ) ) . $after;
                    
                }elseif( is_category() ){
                    
                    $thisCat = get_category( get_query_var( 'cat' ), false );
                    
                    if( $show_front === 'page' && $post_page ){ //If static blog post page is set
                        $p = get_post( $post_page );
                        echo ' <a href="' . esc_url( get_permalink( $post_page ) ) . '" itemprop="item">' . esc_html( $p->post_title ) . '</a> ' . $delimiter;  
                    }
                    
                    if ( $thisCat->parent != 0 ) echo get_category_parents( $thisCat->parent, TRUE, $delimiter );
                    echo $before .  esc_html( single_cat_title( '', false ) ) . $after;
                
                }elseif( Adventure_Travel_is_wp_travel_engine_activated() && is_tax( array( 'activities', 'destination', 'trip_types' ) ) ){ //Trip Taxonomy pages
                    $current_term = $GLOBALS['wp_query']->get_queried_object();
                    $tax = array(
                        'activities'  => 'templates/template-activities.php',
                        'destination' => 'templates/template-destination.php',
                        'trip_types'  => 'templates/template-trip_types.php'
                    );

                    foreach( $tax as $k => $v ){
                        if( is_tax( $k ) ){
                            $p_id = adventure_travel_get_page_id_by_template( $v );
                            if( $p_id ){
                                echo ' <a href="' . esc_url( get_permalink( $p_id[0] ) ) . '">' . esc_html( get_the_title( $p_id[0] ) ) . '</a>' . $delimiter;
                            }else{
                                $post_type = get_post_type_object( 'trip' );
                                if( $post_type->has_archive == true ){// For CPT Archive Link
                                   
                                   // Add support for a non-standard label of 'archive_title' (special use case).
                                   $label = !empty( $post_type->labels->archive_title ) ? $post_type->labels->archive_title : $post_type->labels->name;
                                   printf( '<a href="%1$s">%2$s</a>', esc_url( get_post_type_archive_link( get_post_type() ) ), $label );
                                   echo $delimiter;
                    
                                }
                                
                            }
                            //For trip taxonomy hierarchy
                            $ancestors = get_ancestors( $current_term->term_id, $k );
                            $ancestors = array_reverse( $ancestors );
                            foreach ( $ancestors as $ancestor ) {
                                $ancestor = get_term( $ancestor, $k );    
                                if ( ! is_wp_error( $ancestor ) && $ancestor ) {
                                    echo ' <a href="' . esc_url( get_term_link( $ancestor ) ) . '">' . esc_html( $ancestor->name ) . '</a>' . $delimiter;
                                }
                            }
                        }
                    }
                    
                    echo $before . esc_html( $current_term->name ) . $after;
                }elseif( is_tag() ){
                    
                    echo $before . esc_html( single_tag_title( '', false ) ) . $after;
             
                }elseif( is_author() ){
                    
                    global $author;
                    $userdata = get_userdata( $author );
                    echo $before . esc_html( $userdata->display_name ) . $after;
             
                }elseif( is_search() ){
                    
                    echo $before . esc_html__( 'Search Results for "', 'adventure-travel' ) . esc_html( get_search_query() ) . esc_html__( '"', 'adventure-travel' ) . $after;
                
                }elseif( is_day() ){
                    
                    echo '<a href="' . esc_url( get_year_link( get_the_time( __( 'Y', 'adventure-travel' ) ) ) ) . '" itemprop="item">' . esc_html( get_the_time( __( 'Y', 'adventure-travel' ) ) ) . '</a> ' . $delimiter;
                    echo '<a href="' . esc_url( get_month_link( get_the_time( __( 'Y', 'adventure-travel' ) ), get_the_time( __( 'm', 'adventure-travel' ) ) ) ) . '" itemprop="item">' . esc_html( get_the_time( __( 'F', 'adventure-travel' ) ) ) . '</a> ' . $delimiter;
                    echo $before . esc_html( get_the_time( __( 'd', 'adventure-travel' ) ) ) . $after;
                
                }elseif( is_month() ){
                    
                    echo '<a href="' . esc_url( get_year_link( get_the_time( __( 'Y', 'adventure-travel' ) ) ) ) . '" itemprop="item">' . esc_html( get_the_time( __( 'Y', 'adventure-travel' ) ) ) . '</a> ' . $delimiter;
                    echo $before . esc_html( get_the_time( __( 'F', 'adventure-travel' ) ) ) . $after;
                
                }elseif( is_year() ){
                    
                    echo $before . esc_html( get_the_time( __( 'Y', 'adventure-travel' ) ) ) . $after;
            
                }elseif( is_single() && !is_attachment() ){
                   
                   if( get_post_type() != 'post' ){
                        
                        $post_type = get_post_type_object( get_post_type() );
                        
                        if( $post_type->has_archive == true ){// For CPT Archive Link
                           
                           // Add support for a non-standard label of 'archive_title' (special use case).
                           $label = !empty( $post_type->labels->archive_title ) ? $post_type->labels->archive_title : $post_type->labels->name;
                           printf( '<a href="%1$s" itemprop="item">%2$s</a>', esc_url( get_post_type_archive_link( get_post_type() ) ), $label );
                           echo $delimiter;
            
                        }else{
                            echo esc_html( $post_type->label );
                            echo $delimiter;
                        }
                        echo $before . esc_html( get_the_title() ) . $after;
                        
                    }else{ //For Post
                        
                        $cat_object       = get_the_category();
                        $potential_parent = 0;
                        
                        if( $show_front === 'page' && $post_page ){ //If static blog post page is set
                            $p = get_post( $post_page );
                            echo ' <a href="' . esc_url( get_permalink( $post_page ) ) . '" itemprop="item">' . esc_html( $p->post_title ) . '</a> ' . $delimiter;  
                        }
                        
                        if( $cat_object ){ //Getting category hierarchy if any
                
                            //Now try to find the deepest term of those that we know of
                            $use_term = key( $cat_object );
                            foreach( $cat_object as $key => $object )
                            {
                                //Can't use the next($cat_object) trick since order is unknown
                                if( $object->parent > 0  && ( $potential_parent === 0 || $object->parent === $potential_parent ) ){
                                    $use_term = $key;
                                    $potential_parent = $object->term_id;
                                }
                            }
                            
                            $cat = $cat_object[$use_term];
                      
                            $cats = get_category_parents( $cat, TRUE, $delimiter );
                            $cats = preg_replace( "#^(.+)\s$delimiter\s$#", "$1", $cats ); //NEED TO CHECK THIS
                            echo $cats;
                        }
            
                        echo $before . esc_html( get_the_title() ) . $after;
                        
                    }
                
                }elseif( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ){
                    
                    $post_type = get_post_type_object(get_post_type());

                    if( NULL != $post_type ){
                        if( get_query_var('paged') ){
                            echo '<a href="' . esc_url( get_post_type_archive_link( $post_type->name ) ) . '" itemprop="item">' . esc_html( $post_type->label ) . '</a>';
                            /* translators: 1: paged number */
                            echo $delimiter . $before . sprintf( __('Page %s', 'adventure-travel'), get_query_var('paged') ) . $after;
                        }else{
                            echo $before . esc_html( $post_type->label ) . $after;
                        }
                    }
            
                }elseif( is_attachment() ){
                    
                    $parent = get_post( $post->post_parent );
                    $cat = get_the_category( $parent->ID ); 
                    if( $cat ){
                        $cat = $cat[0];
                        echo get_category_parents( $cat, TRUE, $delimiter );
                        echo '<a href="' . esc_url( get_permalink( $parent ) ) . '" itemprop="item">' . esc_html( $parent->post_title ) . '</a>' . ' <span class="separator">' . esc_html( $delimiter ) . '</span> ';
                    }
                    echo  $before . esc_html( get_the_title() ) . $after;
                
                }elseif( is_page() && !$post->post_parent ){
                    
                    echo $before . esc_html( get_the_title() ) . $after;
            
                }elseif( is_page() && $post->post_parent ){
                    
                    $parent_id  = $post->post_parent;
                    $breadcrumbs = array();
                    
                    while( $parent_id ){
                        $page = get_post( $parent_id );
                        $breadcrumbs[] = '<a href="' . esc_url( get_permalink( $page->ID ) ) . '" itemprop="item">' . esc_html( get_the_title( $page->ID ) ) . '</a>';
                        $parent_id  = $page->post_parent;
                    }
                    $breadcrumbs = array_reverse( $breadcrumbs );
                    for ( $i = 0; $i < count( $breadcrumbs) ; $i++ ){
                        echo $breadcrumbs[$i];
                        if ( $i != count( $breadcrumbs ) - 1 ) echo $delimiter;
                    }
                    echo $delimiter . $before . esc_html( get_the_title() ) . $after;
                
                }elseif( is_404() ){
                    echo $before . esc_html__( '404 Error - Page Not Found', 'adventure-travel' ) . $after;
                }
                
                if( get_query_var('paged') ) echo __( ' (Page', 'adventure-travel' ) . ' ' . get_query_var('paged') . __( ')', 'adventure-travel' );
                
                echo '</div></div><!-- .breadcrumb-wrapper -->';
            endif;
                              
        }
    endif;

    if( ! function_exists( 'adventure_travel_trip_trip_facts' ) ){
        function adventure_travel_trip_trip_facts(){
            global $post;
            $facts = get_post_meta( $post->ID,'wp_travel_engine_setting',true );
            $wp_travel_engine_setting = get_post_meta( $post->ID,'wp_travel_engine_setting',true );
            $wp_travel_engine_setting_option_setting = get_option('wp_travel_engine_settings', true);
            if( isset($facts['trip_facts']) && $facts['trip_facts']!='' ) :
                $trip_facts  = $facts['trip_facts'];
                if( isset( $wp_travel_engine_setting['trip_facts'] ) && $wp_travel_engine_setting['trip_facts']!='' && isset( $trip_facts['field_type'] ) && $trip_facts['field_type']!='' && isset($wp_travel_engine_setting_option_setting['trip_facts']['field_id']) ){
                    $i = 0; 
                    foreach ($trip_facts['field_type'] as $key => $value) {
                        if(isset($wp_travel_engine_setting_option_setting['trip_facts']['field_id'][$key]))
                        {
                            $id = $wp_travel_engine_setting_option_setting['trip_facts']['field_id'][$key];
                            if( isset( $wp_travel_engine_setting['trip_facts'][$key][$key] ) && $wp_travel_engine_setting['trip_facts'][$key][$key]!='' )
                            {
                                $i =1;
                            }
                        }
                    }
                    if($i==1){ ?>
                        <div class="trip-plans">
                            <ul>
                                <?php
                                foreach ($trip_facts['field_type'] as $key => $value) {
                                    if(isset($wp_travel_engine_setting_option_setting['trip_facts']['fid'][$key]) && isset($wp_travel_engine_setting_option_setting['trip_facts']['field_id'][$key])){

                                        $id = $wp_travel_engine_setting_option_setting['trip_facts']['field_id'][$key]; 
                                        if( isset( $wp_travel_engine_setting['trip_facts'][$key][$key] ) && !empty( $wp_travel_engine_setting['trip_facts'][$key][$key] ) ) {
                                            $icon = isset($wp_travel_engine_setting_option_setting['trip_facts']['field_icon'][$key]) ? esc_attr( $wp_travel_engine_setting_option_setting['trip_facts']['field_icon'][$key] ):'';
                                            echo '<li><i class="'.$icon.'"></i>';
                                                switch ($value) {
                                                    case 'select': 
                                                        $options = $trip_facts['select_options'][$key];
                                                        $options = explode( ',', $options );
                                                        $selected_field = isset( $wp_travel_engine_setting['trip_facts'][$key][$key] ) ? esc_attr( $wp_travel_engine_setting['trip_facts'][$key][$key] ):'';
                                                        ?>
                                                        <div class="trip-facts-select">
                                                            <label>
                                                                <?php _e($id.': ','adventure-travel'); ?>
                                                            </label>
                                                            <div class="value"><?php echo esc_attr( $selected_field ); ?></div>
                                                        </div>
                                                    <?php
                                                    break;
                                                
                                                    case 'number': ?>
                                                        <div class="trip-facts-number">
                                                            <label>
                                                                <?php _e($id.': ','adventure-travel');?>
                                                            </label>
                                                            <div class="value"><?php echo isset($wp_travel_engine_setting['trip_facts'][$key][$key]) ? esc_attr( $wp_travel_engine_setting['trip_facts'][$key][$key] ): '';?></div>
                                                        </div>
                                                    <?php
                                                    break;
                                                    
                                                    case 'text':?>
                                                        <div class="trip-facts-text">
                                                            <label>
                                                                <?php _e($id.': ','adventure-travel');?>
                                                            </label>
                                                            <div class="value"><?php echo isset($wp_travel_engine_setting['trip_facts'][$key][$key]) ? esc_attr( $wp_travel_engine_setting['trip_facts'][$key][$key] ): '';?></div>
                                                        </div>
                                                        <?php
                                                    break;
                                                    
                                                    case 'duration': ?>
                                                        <div class="trip-facts-text">
                                                            <label>
                                                                <?php _e($id.': ','adventure-travel');?>
                                                            </label>
                                                            <div class="value"><?php if( isset($wp_travel_engine_setting['trip_facts'][$key][$key] ) && $wp_travel_engine_setting['trip_facts'][$key][$key]!='' ){ echo isset($wp_travel_engine_setting['trip_facts'][$key][$key]) ? esc_attr( $wp_travel_engine_setting['trip_facts'][$key][$key] ): ''; if( $wp_travel_engine_setting['trip_facts'][$key][$key]>1 ){ _e(' days','adventure-travel');} else{ _e(' day','adventure-travel');} }?></div>
                                                        </div>
                                                    <?php
                                                    break;
                                                    
                                                    case 'textarea':?>
                                                        <div class="trip-facts-textarea">
                                                            <label>
                                                                <?php echo $id ;?>
                                                            </label>
                                                            <div class="value"><?php echo isset($wp_travel_engine_setting['trip_facts'][$key][$key]) ? esc_attr( $wp_travel_engine_setting['trip_facts'][$key][$key] ): '';?></div>
                                                        </div>
                                                    <?php
                                                    break;
                                                }
                                            echo '</li>';
                                        }
                                    }
                                }
                                ?>
                            </ul>
                        </div>
                        <?php 
                    }
                }
            endif;
        }
    }add_action( 'adventure_travel_trip_trip_facts', 'adventure_travel_trip_trip_facts' );

    function adventure_travel_trip_price(){
        global $post;
        $wp_travel_engine_setting = get_post_meta( $post->ID,'wp_travel_engine_setting',true );
        $wp_travel_engine_setting_option_setting = get_option('wp_travel_engine_settings', true);
        
        if(isset($wp_travel_engine_setting_option_setting['booking']))
            return;

        $obj = new Wp_Travel_Engine_Functions(); 
            $cost = isset( $wp_travel_engine_setting['trip_price'] ) ? $wp_travel_engine_setting['trip_price']: '';
            if(isset( $wp_travel_engine_setting['trip_prev_price'] ) && $wp_travel_engine_setting['trip_prev_price']!='' || isset($wp_travel_engine_setting['trip_price'] ) && $wp_travel_engine_setting['trip_price']!='' )
            { ?>
            <div class="secondary-trip-info trip-price">
                <div class="price-holder">
                    <?php do_action( 'wp_travel_engine_before_price_info' ); ?>
                    <div class="top-price-holder">
                        <span class="price-from"><?php $price_info = __( 'Price From','adventure-travel' ); 
                        echo apply_filters( 'wp_travel_engine_price_info', $price_info );?></span>
                        <strong class="prev-price">
                            <?php
                            $code = 'USD';
                            if( isset( $wp_travel_engine_setting_option_setting['currency_code'] ) && $wp_travel_engine_setting_option_setting['currency_code']!= '' )
                            {
                                $code = $wp_travel_engine_setting_option_setting['currency_code'];
                            } 
                            $obj = new Wp_Travel_Engine_Functions();
                            $currency = $obj->wp_travel_engine_currencies_symbol( $code );
                            $prev_cost = isset($wp_travel_engine_setting['trip_prev_price']) ? $wp_travel_engine_setting['trip_prev_price']: '';
                            $person_format = isset($wp_travel_engine_setting_option_setting['person_format']) ? $wp_travel_engine_setting_option_setting['person_format']:'/person';
                            if( $cost!='' && isset($wp_travel_engine_setting['sale']) )
                            {
                                if($prev_cost!='')
                                {
                                    $obj = new Wp_Travel_Engine_Functions();
                                    echo "<strike style='color:red'>";
                                    echo "<span class='currency-code'>".esc_attr($code).'</span><span class="currency">'.esc_attr($currency).'</span>';
                                    echo '<span class="trip-cost">'.$obj->wp_travel_engine_price_format($prev_cost).'</span>';
                                    echo '</strike>';
                                }
                                ?>
                                <strong class="price">
                                    <?php
                                        $actual_price = $cost;
                                        $obj = new Wp_Travel_Engine_Functions();
                                        echo '<span class="currency-code">'.esc_attr( ' '.$code ).'</span>';
                                        echo '<span class="currency">'.esc_attr($currency).'</span>';
                                        echo '<strong class="trip-cost-holder">'.esc_attr( $obj->wp_travel_engine_price_format($cost) ).'</strong>';
                                        echo '<span class="per-person">'.$person_format.'</span>';
                                    ?>
                                </strong>
                            <?php
                            }
                            else{ ?>
                                <strong class="price">
                                    <?php
                                        $actual_price = $wp_travel_engine_setting['trip_prev_price'];
                                        $obj = new Wp_Travel_Engine_Functions();
                                        echo '<span class="currency-code">'.esc_attr( ' '.$code ).'</span>';
                                        echo '<span class="currency">'.esc_attr($currency).'</span>';
                                        echo '<strong class="trip-cost-holder">'.esc_attr( $obj->wp_travel_engine_price_format($wp_travel_engine_setting['trip_prev_price']) ).'</strong>';
                                        echo '<span class="per-person">'.$person_format.'</span>';
                                    ?>
                                </strong>
                            <?php
                            }
                            ?>
                        </strong>
                        <?php do_action( 'wp_travel_engine_group_discount_info' );?>
                    </div>
                    <?php do_action( 'wp_travel_engine_after_price_info' );?>
                    <?php
                    $options = get_option('wp_travel_engine_settings', true);
                    $wp_travel_engine_placeorder = isset($options['pages']['wp_travel_engine_place_order']) ? esc_attr($options['pages']['wp_travel_engine_place_order']) : '';
                    ?>
                    <?php
                    do_action( 'wp_travel_engine_before_price_form' ); ?>
                    <form method="POST" action="<?php echo esc_url( get_permalink( $wp_travel_engine_placeorder ) );?>">
                        <?php do_action('wp_travel_engine_group_discount_guide'); ?>
                        <label>
                        <?php $no_of_travelers = __('Number of Adult Travelers: ','adventure-travel'); 
                        echo apply_filters('wp_travel_engine_no_of_travelers_text', $no_of_travelers);?>
                        <input type="number" min="1" name="travelers" class="travelers-no" value="1" required></label>
                        <?php 
                        if( class_exists('Wp_Travel_Engine_Group_Discount') && isset( $wp_travel_engine_setting['child-group']['discount'] ) && isset( $wp_travel_engine_setting_option_setting['group']['discount'] ) )
                        {
                            do_action('wpte_child_field',$post); 
                        }
                        ?> 
                        <div class="date-time-wrapper">
                            <input type="text" min="1" autocomplete="off" class="wp-travel-engine-price-datetime" id="wp-travel-engine-trip-datetime" name="trip-date" placeholder="<?php _e('Pick a date','adventure-travel');?>">
                        </div>
                        <?php 
                        if( class_exists( 'Wp_Travel_Engine_Group_Discount' ) && isset( $wp_travel_engine_setting['group']['discount'] ) && isset( $wp_travel_engine_setting_option_setting['group']['discount'] ) ){
                            echo '<div class="discount-price-per-traveler">'.__('Cost Per Adult Traveler: ','adventure-travel').'<span class="currency">'.$currency.' </span><span class="discount-price-traveler">'.$actual_price.'</span><span class="currency-code">'.$code.'</span></div>';
                            echo '<div class="discount-price-per-child-traveler">'.__('Cost Per Child Traveler: ','adventure-travel').'<span class="currency">'.$currency.' </span><span class="discount-price-child-traveler">'.$actual_price.'</span><span class="currency-code">'.$code.'</span></div>';  
                        } ?>
                        <input type="hidden" min="1" id="travelers" name="trip-id" value="<?php echo $post->ID;?>">
                        <?php
                        $nonce = wp_create_nonce('wp_travel_engine_booking_nonce');
                        ?>
                        <input type="hidden" id="nonce" name="nonce" value="<?php echo $nonce;?>">
                        <?php
                        if( $cost!='' && isset($wp_travel_engine_setting['sale']) )
                        { ?>
                            <span class="hidden-price"><?php echo $obj->wp_travel_engine_price_format($cost); ?></span>
                            <div class="total-amt"><b><?php _e('Total','adventure-travel');?></b>
                                <?php echo '<span class="currency">'.esc_attr($currency).'</span>'.' ';?><span class="total"><?php echo $obj->wp_travel_engine_price_format($cost);?></span><?php echo ' '.'<span class="currency-code">'.esc_attr( $code ).'</span>';?>
                            </div>
                        <?php } 
                        else{ ?>
                            <span class="hidden-price"><?php echo $obj->wp_travel_engine_price_format($prev_cost); ?></span>
                            <div class="total-amt"><b><?php _e('Total','adventure-travel');?></b>
                                <?php echo '<span class="currency">'.esc_attr($currency).'</span>'.' ';?><span class="total"><?php echo $obj->wp_travel_engine_price_format($prev_cost);?></span><?php echo ' '.'<span class="currency-code">'.esc_attr( $code ).'</span>';?>
                            </div>
                        <?php } ?>
                        <?php
                        if( $cost!='' && isset($wp_travel_engine_setting['sale']) )
                        { ?>
                            <input type="hidden" id="trip-cost" name="trip-cost" value="<?php echo esc_attr($cost);?>"> 
                        <?php } 
                        else{ ?>
                            <input type="hidden" id="trip-cost" name="trip-cost" value="<?php echo esc_attr($prev_cost);?>"> 
                        <?php } ?>
                        <input type="hidden" name="fdd-id" class="fdd-id" value="">
                        <button class="check-availability"><?php $button_txt =  __('Check Availability','adventure-travel'); echo apply_filters( 'wp_travel_engine_check_availability_button_text', $button_txt );?></button>
                        <?php 
                        $btn_txt = __('Book Now','adventure-travel');
                        if( isset( $wp_travel_engine_setting_option_setting['book_btn_txt'] ) && $wp_travel_engine_setting_option_setting['book_btn_txt']!='')
                        {
                            $btn_txt = $wp_travel_engine_setting_option_setting['book_btn_txt'];
                        } ?>
                        <input type="submit" class="book-submit" value="<?php echo esc_attr( $btn_txt ); ?>">
                    </form>
                    <?php
                    do_action( 'wp_travel_engine_after_price_form' ); ?>
                <div id="price-loading"><div id="price-loading-wrap"><div id="price-loading-outer"><div id="price-loading-inner"><i class="fa fa-spinner fa-spin" aria-hidden="true"></i></div></div></div></div>
                </div>
            </div>
            <?php 
        }
    }

    /*
     *
     * Return Striptags from the content.
     *
    */
    if( ! function_exists( 'adventure_travel_truncate' ) ):  
        function adventure_travel_truncate( $content, $letter_count ) {
            
            $striped_content = strip_shortcodes( $content );
            $striped_content = strip_tags( $striped_content );
            $excerpt         = mb_substr( $striped_content, 0, $letter_count );
            
            if( $striped_content > $excerpt ){
                $excerpt .= '...';
            }
            
            return $excerpt;

        }
    endif; // End function_exists


    if( ! function_exists( 'adventure_travel_escape_text_tags' ) ) :
        /**
         * Remove new line tags from string
         *
         * @param $text
         *
         * @return string
         */
        function adventure_travel_escape_text_tags( $text ) {
            return (string) str_replace( array( "\r", "\n" ), '', strip_tags( $text ) );
        }
    endif;

    if( ! function_exists( 'adventure_travel_home_section') ):
        /*
         *
         * Check if home page section are enable or not.
        */
        function adventure_travel_home_section(){

            $home_sections = array( 'banner', 'why_choose', 'best_seller', 'popular_destination', 'stat_counter', 'popular_activities', 'featured_trip', 'testimonial', 'blog' );       
            $enable_section = false;
            foreach( $home_sections as $section ){ 
                if( get_theme_mod( 'ed_' . $section . '_section' ) == true ){
                    $enable_section = true;
                }
            }
            return $enable_section;
        }
    endif;

