jQuery(document).ready(function($){
	
	//responsive menu
	$('.main-navigation ul.nav-menu').prepend('<span class="close"></span>');
	$('.main-navigation .toggle-button').on('click', function(){
		$(this).parent('.main-navigation').addClass('menu-toggled');
	});

	$('.main-navigation .close').on('click', function(){
		$(this).parents('.main-navigation').removeClass('menu-toggled');
	});

	$('.menu-item-has-children').prepend('<span class="submenu-toggle"><i class="fas fa-chevron-down"></i></span>');

	var headerHeight = $('.site-header').outerHeight();
	$('.page-header .container, .banner-slider .banner-caption').css('padding-top', headerHeight);

	if($(window).width() < 1025){
		//submenu toggle
		$('.submenu-toggle').on('click', function(){
			$(this).toggleClass('active');
			$(this).siblings('ul').slideToggle();
		});
	}

	//banner slider
	$('.site-banner .banner-slider').owlCarousel({
		items: 1,
		autoplay: true,
		autoplaySpeed: 700,
		autoplayTimeout: 3500,
		loop: true,
		dots: false,
		nav: true,
	});

	//activities slider 
	$('.pop-activities-section .section-grid').owlCarousel({
		items: 4,
		margin: 30,
		autoplay: true,
		loop: false,
		dots: false,
		nav: true,
		responsive : {
			0 : {
				items: 1,
			}, 
			768 : {
				items: 2,
			},
			1025 : {
				items: 3,
			}, 
			1200 : {
				items: 4,
			}
		}
	});

	//stat counter jquery
	$('.counter-num').counterUp({
		delay: 10,
		time: 1000
	});

	//testimonial slider
	$('.testimonial-section .section-grid').owlCarousel({
		items: 1,
		margin: 20,
		autoplay: true,
		loop: true,
		dots: true,
		nav: true,
		responsive : {
			0 : {
				nav: false,
			}, 
			768 : {
				nav: true,
			}
		}
	});

	//contact page space
	var winWidth = $(window).width();
	var wrapWidth = $('.contact-form-section .container').width();
	var remWidth = (parseInt(winWidth) - parseInt(wrapWidth)) / 2;
	$('.contact-info-outer:nth-child(2n+1) .contact-info-wrap').css('padding-left', remWidth);
	$('.contact-info-outer:nth-child(2n) .contact-info-wrap').css('padding-right', remWidth);

	//tab jquery
	$('.trip-tab-wrap .trip-tab').click(function(){
		var clas = $(this).attr('class');
		var splitClas = clas.split(' ');
		var uniqueClas = splitClas[1];

		$('.trip-tab').removeClass('active');
		$(this).addClass('active');
		$('.trip-tab-content').fadeOut(600);
		$('.trip-tab-content').removeClass('active');
		$('.'+uniqueClas+'-content').fadeIn(600).addClass('active');
	});

	$('.trip-tab-content .trip-gallery').owlCarousel({
		items: 1,
		margin: 10,
		autoplay: false,
		loop: true,
		dots: false,
		nav: true,
	});

	//enquiry tab js
	$('.enquiry-tab-wrap .enquiry-tab').click(function(){
		var tabClass = $(this).attr('class');
		var breakClass = tabClass.split(' ');
		var pickUnique = breakClass[1];

		$('.enquiry-tab').removeClass('active');
		$(this).addClass('active');
		$('.tab-content-block').hide();
		$('.tab-content-block').removeClass('active');
		$('.'+pickUnique+'-content').show().addClass('active');
	});

	//gallery lightbox
	$('[data-fancybox="images"]').fancybox({
		buttons : [ 
		'slideShow',
		'zoom',
		'fullScreen',
		'close'
		]
	});

	// init Isotope
	var $grid = $('.portfolio-grid').isotope({
		itemSelector: '.portfolio-block',
		layoutMode: 'fitRows'
	});
	// filter items on button click
	$('.filter-button-group').on( 'click', 'button', function() {
		var filterValue = $(this).attr('data-filter');
		$grid.isotope({ filter: filterValue });
	});

	// change is-checked class on buttons
	$('.button-group').each( function( i, buttonGroup ) {
		var $buttonGroup = $( buttonGroup );
		$buttonGroup.on( 'click', 'button', function() {
			$buttonGroup.find('.is-checked').removeClass('is-checked');
			$( this ).addClass('is-checked');
		});
	});

	const items = document.querySelectorAll(".accordion a");

	function toggleAccordion(){
	  this.classList.toggle('active');
	  this.nextElementSibling.classList.toggle('active');
	}

	items.forEach(item => item.addEventListener('click', toggleAccordion));
}); //document close