<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Adventure_Travel
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<figure class="post-thumbnail">
		<a href="<?php the_permalink(); ?>">
			<?php 
			if( has_post_thumbnail() ){
				the_post_thumbnail( 'adventure-travel-blog', array( 'itemprop' => 'image' ) );
			}else{ ?>
				<img src="<?php echo esc_url( get_template_directory_uri() . '/images/fallback/no-feature-image.png' ); ?>"><?php
			}
			?> 
		</a>
	</figure>
	<div class="content-wrap">
		<header class="entry-header">
			<?php 
			if ( 'post' === get_post_type() ) : ?>
				<div class="entry-meta">
					<?php 
					adventure_travel_posted_on();
					adventure_travel_posted_by();
					adventure_travel_comments();
					?>
				</div>
				<?php
			endif;
			the_title( '<h4 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h4>' );
			?>
		</header>
		<div class="entry-content">
			<?php the_excerpt(); ?>
		</div>
		<div class="button-wrap">
			<a href="<?php the_permalink(); ?>" class="btn-readmore"><?php esc_html_e( 'READ MORE', 'adventure-travel' ) ?> <i class="fas fa-long-arrow-alt-right"></i></a>
		</div>
	</div>
</article>