<?php 
$ed_best_seller     = get_theme_mod( 'ed_best_seller_section', false );
$best_seller_title 	= get_theme_mod( 'best_seller_title', __( 'Best Seller', 'adventure-travel' ) );
$best_seller_desc 	= get_theme_mod( 'best_seller_desc', __( 'you can find the best selling trips here', 'adventure-travel' ) );
$best_seller_trip1 	= get_theme_mod( 'best_seller_trip_1' );
$best_seller_trip2 	= get_theme_mod( 'best_seller_trip_2' );
$best_seller_trip3 	= get_theme_mod( 'best_seller_trip_3' );
$best_seller_trip4 	= get_theme_mod( 'best_seller_trip_4' );
$best_seller_trip5 	= get_theme_mod( 'best_seller_trip_5' );
$best_seller_trip6 	= get_theme_mod( 'best_seller_trip_6' );

$best_seller_trips = array( $best_seller_trip1, $best_seller_trip2, $best_seller_trip3, $best_seller_trip4, $best_seller_trip5, $best_seller_trip6 );			
$best_seller_trips = array_diff( array_unique( $best_seller_trips ), array('') );

$best_seller_trip_args = array(
    'post_type'  			=> 'trip',
    'post__in'   			=> $best_seller_trips,
    'orderby'   			=> 'post__in',
    'ignore_sticky_posts' 	=> true,
);

$best_seller_trip_qry = new WP_Query( $best_seller_trip_args );
if( $ed_best_seller && ( $best_seller_trip1 || $best_seller_trip2 || $best_seller_trip3 || $best_seller_trip4 || $best_seller_trip5 || $best_seller_trip6 ) ){ ?>
	<section class="best-seller-section">
		<div class="container">
			<?php 
			if( $best_seller_title || $best_seller_desc ){ ?>
				<h2 class="section-title">
					<span><?php echo esc_html( $best_seller_title, 'adventure-travel' ); ?></span>
				</h2>
				<div class="section-desc">
					<?php echo esc_html( $best_seller_desc, 'adventure-travel' ); ?>
				</div>
				<?php 
			}
			if( $best_seller_trip_qry->have_posts() ){ ?>
				<div class="section-grid">
					<?php
	            	$currency = adventure_travel_get_trip_currency();
            		$new_obj  = new Wp_Travel_Engine_Functions();
					while( $best_seller_trip_qry->have_posts() ){ 
	            		$best_seller_trip_qry->the_post();
	            		$meta = get_post_meta( get_the_ID(), 'wp_travel_engine_setting', true ); ?>
						<div class="section-block">
							<figure class="block-img">
								<a href="<?php the_permalink(); ?>">
									<?php
									if( has_post_thumbnail() ){ 
										the_post_thumbnail( 'adventure-travel-480x325' );
									}else{ ?>
										<img src="<?php echo esc_url( get_template_directory_uri() . '/images/fallback/no-feature-image.png' ); ?>"
                                        <?php
									} ?>
								</a>
								<?php 
								if( ( isset( $meta['trip_prev_price'] ) && $meta['trip_prev_price'] ) || ( isset( $meta['sale'] ) && $meta['sale'] && isset( $meta['trip_price'] ) && $meta['trip_price'] ) ){
                                    echo '<span class="trip-price">';
                                    if( isset( $meta['trip_prev_price'] ) ){
                                        if( isset( $meta['sale'] ) && $meta['sale'] && isset( $meta['trip_price'] ) && $meta['trip_price'] ) echo '<div class="old-price"><strike>';
                                        if( isset( $meta['trip_prev_price'] ) && $meta['trip_prev_price'] ) echo esc_html( $currency . '&nbsp;' . $new_obj->wp_travel_engine_price_format( $meta['trip_prev_price'] ) );
                                        if( isset( $meta['sale'] ) && $meta['sale'] && isset( $meta['trip_price'] ) && $meta['trip_price'] ) echo '</strike></div>';    
                                    } 
                                    if( isset( $meta['sale'] ) && $meta['sale'] && isset( $meta['trip_price'] ) && $meta['trip_price'] ) echo esc_html( $currency . '&nbsp;' . $new_obj->wp_travel_engine_price_format( $meta['trip_price'] ) );
                                    echo '</span>';
                                } ?>
							</figure>
							<div class="section-content-wrap">
								<h4 class="block-title">
									<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
								</h4>
								<div class="trip-meta">
									<?php 
                                    if( ( isset( $meta['trip_duration'] ) && '' != $meta['trip_duration'] ) || ( isset( $meta['trip_duration_nights'] ) ) && '' != $meta['trip_duration_nights'] ){ 
                                        echo '<div class="trip-duration"><i class="fas fa-clock"></i>'; 
                                        if( $meta['trip_duration'] ) printf( esc_html__( '%s Days', 'adventure-travel' ), absint( $meta['trip_duration'] ) ); 
                                        if( $meta['trip_duration_nights'] ) printf( esc_html__( ' - %s Nights', 'adventure-travel' ), absint( $meta['trip_duration_nights'] ) ); 
                                        echo '</div>';                                       
                                    }
                                    if( class_exists('Wte_Trip_Review_Init' ) && $ed_trip_review ){ ?>
                                        <div class="trip-rating">
                                            <?php
                                                $comments = get_comments( array(
                                                    'post_id' => get_the_ID(),
                                                    'status' => 'approve',
                                                ) );
                                                if ( !empty( $comments ) ){
                                                    echo '<div class="review-wrap"><div class="average-rating">';
                                                    $sum = 0;
                                                    $i = 0;
                                                    foreach($comments as $comment) {
                                                        $rating = get_comment_meta( $comment->comment_ID, 'stars', true );
                                                        $sum = $sum+$rating;
                                                        $i++;
                                                    }
                                                    $aggregate = $sum/$i;
                                                    $aggregate = round($aggregate,2);

                                                    echo 
                                                    '<script>
                                                        jQuery(document).ready(function($){
                                                            $(".agg-rating").rateYo({
                                                                rating: '.$aggregate.'
                                                            });
                                                        });
                                                    </script>';
                                                    echo '<div class="agg-rating"></div><div itemprop="aggregateRating" class="aggregate-rating" itemscope="" itemtype="http://schema.org/AggregateRating">
                                                    <span class="rating-star" itemprop="ratingValue"></span><span itemprop="reviewCount">'.$i.'</span> '. esc_html( _nx( 'review', 'reviews', $i, 'reviews count', 'adventure-travel' ) ) .'</div>';
                                                    echo '</div></div><!-- .review-wrap -->';
                                                }
                                            ?>  
                                        </div>
                                    	<?php 
                                	}
                                    ?>
								</div>
								<div class="button-wrap">
									<a href="<?php the_permalink(); ?>" class="btn-readmore"><?php echo esc_html( 'VIEW DETAIL', 'adventure-travel' ); ?> <i class="fas fa-long-arrow-alt-right"></i></a>
								</div>
							</div>
						</div>
						<?php 
					}
					wp_reset_postdata(); ?>
				</div>
				<?php 
			} ?>
		</div>
	</section> <!-- .best-seller-section -->
	<?php 
} ?>