<?php
$ed_blog 				= get_theme_mod( 'ed_blog_section', true );
$blog_title             = get_theme_mod( 'blog_section_title', __( 'Recent Posts', 'adventure-travel' ) );
$blog_sub_title         = get_theme_mod( 'blog_section_subtitle', __( 'See what other people are saying about us', 'adventure-travel' ) );
$blog               	= get_option( 'page_for_posts' );
$blog_view_all_label    = get_theme_mod( 'blog_view_all', __( 'SEE ALL POSTS', 'adventure-travel' ) );

$args = array(
    'post_type'           => 'post',
    'post_status'         => 'publish',
    'posts_per_page'      => 3,
    'ignore_sticky_posts' => true
);

$qry = new WP_Query( $args );

if( $ed_blog && ( $blog_title || $blog_sub_title || $qry->have_posts() ) ){ ?>
<section class="blog-section">
	<div class="container">
		<?php 
        if( $blog_title ) echo '<h2 class="section-title"><span>' . esc_html( $blog_title ) . '</span></h2>';
        if( $blog_sub_title ) echo '<div class="section-desc">' . wpautop( wp_kses_post( $blog_sub_title ) ) . '</div>'; 
        
        if( $qry->have_posts() ){ ?>
			<div class="section-grid">
				<?php 
				while( $qry->have_posts() ){
                	$qry->the_post(); ?>
					<article class="post" itemscope itemtype="http://schema.org/Blog">
						<figure class="post-thumbnail">
							 <a href="<?php the_permalink(); ?>">
								<?php
                                if( has_post_thumbnail() ){
                                    the_post_thumbnail( 'adventure-travel-480x325', array( 'itemprop' => 'image' ) );
                                }else{  ?>
									<img src="<?php echo esc_url( get_template_directory_uri() . '/images/fallback/destination-image-size.jpg' ); ?>"><?php
								} ?>
							</a>
						</figure>
						<div class="article-content-wrap">
							<header class="entry-header">
								<div class="entry-meta">
									<?php 
										adventure_travel_posted_on();
										adventure_travel_posted_by();
									?>
								</div>
								<h4 class="entry-title" itemprop="headline">
									<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
								</h4>
							</header>
							<div class="entry-content">
								<?php echo wp_trim_words( get_the_excerpt(), 15 ); ?>
							</div>
							<div class="button-wrap">
								<a href="<?php the_permalink(); ?>" class="btn-readmore"><?php esc_html_e( 'Read More', 'adventure-travel' ); ?> <i class="fas fa-long-arrow-alt-right"></i></a>
							</div>
						</div>
					</article>
					<?php 
				}
				wp_reset_postdata(); ?>
			</div>
			<?php 
		}
		if( $blog && $blog_view_all_label ){ ?>
			<div class="button-wrap">
				<a href="<?php the_permalink( $blog ); ?>" class="btn-readmore"><?php echo esc_html($blog_view_all_label, 'adventure-travel' ); ?></a>
			</div>
			<?php 
		} ?>
	</div>
</section> <!-- .blog-section -->
<?php
}