<?php
$ed_popular_activities  = get_theme_mod( 'ed_popular_activities_section', false );  
$pop_activities_title 	= get_theme_mod( 'popular_activities_title', __( 'Popular Activities', 'adventure-travel' ) );
$pop_activities_desc 	= get_theme_mod( 'popular_activities_desc', __( ' you can find the popular travel activities', 'adventure-travel' ) );
$pop_activities_one   	= get_theme_mod( 'popular_activities_1' );
$pop_activities_two    	= get_theme_mod( 'popular_activities_2' );
$pop_activities_three  	= get_theme_mod( 'popular_activities_3' );
$pop_activities_four   	= get_theme_mod( 'popular_activities_4' );
$pop_activities_five   	= get_theme_mod( 'popular_activities_5' );
$pop_activities_six   	= get_theme_mod( 'popular_activities_6' );
$pop_activities_seven   = get_theme_mod( 'popular_activities_7' );
$pop_activities_eight   = get_theme_mod( 'popular_activities_8' );
$activities_read_more	= get_theme_mod( 'activities_read_more', __('Read More', 'adventure-travel' ) );
$default_image 			= get_template_directory_uri(). '/images/activities-sec-bg.jpg';
$bg_image 				= get_theme_mod( 'popular_activities_bg_image', $default_image );

$pop_activities       = array( $pop_activities_one, $pop_activities_two, $pop_activities_three, $pop_activities_four, $pop_activities_five, $pop_activities_six, $pop_activities_seven, $pop_activities_eight );
$pop_activities       = array_diff( array_unique( $pop_activities ), array('') );
if( $ed_popular_activities && ( $pop_activities_one || $pop_activities_two || $pop_activities_three || $pop_activities_four || $pop_activities_five || $pop_activities_six || $pop_activities_seven || $pop_activities_eight ) ){
	?>
	<style type="text/css">
		.pop-activities-section::after {
			background-image: url( <?php echo esc_url( $bg_image ); ?> );
		}
	</style>
	<section class="pop-activities-section">
		<div class="container">
			<?php 
			if( $pop_activities_title || $pop_activities_desc ){ ?>
				<h2 class="section-title">
					<span><?php echo esc_html( $pop_activities_title, 'adventure-travel' ); ?></span>
				</h2>
				<div class="section-desc">
					<?php echo esc_html( $pop_activities_desc, 'adventure-travel' ); ?>
				</div>
				<?php 
			}
			if( isset( $pop_activities ) && $pop_activities!= '' ){ ?>
				<div class="section-grid owl-carousel">
					<?php 
					foreach( $pop_activities as $activities ){ 
						$act_obj            = get_term_by( 'id', $activities, 'activities' );
						$act_img_id         = get_term_meta( $act_obj->term_id, 'category-image-id', true );
						
						if( ! empty( $act_img_id ) && $act_img_id > 0 ){
							$act_image = wp_get_attachment_image_src( $act_img_id, 'adventure-travel-480x604' );
							$img_url   = $act_image[0];
						}else{
							$img_url = get_template_directory_uri() . '/images/fallback/destination-image-size.jpg';
						}

						?>
						<div class="activities-block">
							<figure class="activities-img">
								<?php 
								if( ! empty( $img_url ) && isset($act_obj->term_id) ){
									
									echo '<a href="'. esc_url( get_term_link( $act_obj->term_id ) ) .'"><img src="'. esc_url( $img_url ) .'" alt="'. esc_attr( $act_obj->name ) .'"></a>';
								} 
								?>
								<h4 class="activities-title"><?php echo esc_html( $act_obj->name ); ?></h4>
							</figure>
							<div class="activities-content-wrap">
								<h4 class="activities-title"><?php echo esc_html( $act_obj->name ); ?></h4>
								<div class="activities-content"><?php echo wp_trim_words( $act_obj->description, 25 ); ?></div>
								<?php if( $activities_read_more ){ ?>
									<div class="button-wrap">
										<a href="<?php echo esc_url( get_term_link( $act_obj->term_id ) ); ?>" class="btn-readmore"><?php echo esc_html( $activities_read_more, 'adventure-travel' ); ?></a>
									</div>
								<?php } ?>
							</div>
						</div>
						<?php 
					} ?>
				</div>
				<?php 
			} ?>
		</div>
	</section> <!-- .pop-activities-section -->
	<?php 
}