<?php
$ed_popular_destination = get_theme_mod( 'ed_popular_destination_section', false );  
$pop_destination_title 	= get_theme_mod( 'popular_destination_title', __( 'Popular Destinations', 'adventure-travel' ) );
$pop_destination_desc 	= get_theme_mod( 'popular_destination_desc', __( 'You can find popular destination here', 'adventure-travel' ) );
$pop_destination_one    = get_theme_mod( 'popular_destination_1' );
$pop_destination_two    = get_theme_mod( 'popular_destination_2' );
$pop_destination_three  = get_theme_mod( 'popular_destination_3' );
$pop_destination_four   = get_theme_mod( 'popular_destination_4' );
$pop_destination_five   = get_theme_mod( 'popular_destination_5' );
$pop_destination_six    = get_theme_mod( 'popular_destination_6' );
$pop_destination_seven  = get_theme_mod( 'popular_destination_7' );
$pop_destination_eight  = get_theme_mod( 'popular_destination_8' );

$pop_destinations       = array( $pop_destination_one, $pop_destination_two, $pop_destination_three, $pop_destination_four, $pop_destination_five, $pop_destination_six, $pop_destination_seven, $pop_destination_eight );
$pop_destinations       = array_diff( array_unique( $pop_destinations ), array('') );
if( $ed_popular_destination && (  $pop_destination_one || $pop_destination_two || $pop_destination_three || $pop_destination_four || $pop_destination_five || $pop_destination_six || $pop_destination_seven || $pop_destination_eight ) ){
	?>
	<section class="pop-destination-section">
		<div class="container">
			<?php 
			if ( $pop_destination_title ) {?>
				<h2 class="section-title">
					<span><?php echo esc_html( $pop_destination_title, 'adventure-travel' ); ?></span>
				</h2>
				<div class="section-desc">
					<?php echo esc_html( $pop_destination_desc, 'adventure-travel' ); ?>
				</div>
				<?php 
			} ?>
			<?php 
			if( isset( $pop_destinations ) && $pop_destinations!= '' ){ ?>
				<div class="section-grid">
					<?php 
					foreach( $pop_destinations as $destination ){ 
						$des_obj            = get_term_by( 'id', $destination, 'destination' );
						$des_img_id         = get_term_meta( $des_obj->term_id, 'category-image-id', true );
						$des_trip_count     = $des_obj->count;
						$destionation_count = sprintf( _nx( '%1$s Trip', '%1$s Trips', $des_trip_count, 'Trip Count', 'adventure-travel' ), number_format_i18n( $des_trip_count ) );

						$destination_image_size =  apply_filters( 'adventure-travel-480x604', 'adventure-travel-480x604' ); 
						
						if( ! empty( $des_img_id ) && $des_img_id > 0 ){
							$des_image = wp_get_attachment_image_src( $des_img_id, $destination_image_size );
							$img_url   = $des_image[0];
						}else{
							$img_url = get_template_directory_uri() . '/images/fallback/destination-image-size.jpg';
						} ?>
						<div class="destination-block">
							<figure class="destination-img">
								<?php 
								if( ! empty( $img_url ) ){
									echo '<a href="'. esc_url( get_term_link( $des_obj->term_id ) ) .'"><img src="'. esc_url( $img_url ) .'" alt="'. esc_attr( $des_obj->name ) .'"></a>';
								} 
								?>
							</figure>
							<div class="destination-title-wrap">
								<h4 class="destination-title">
									<a href="<?php echo esc_url( get_term_link( $des_obj->term_id ) ); ?>">
										<i class="fas fa-map-marker"></i>
										<?php echo esc_html( $des_obj->name ); ?>
									</a>
								</h4>
								<div class="destination-tour-count"><?php echo esc_html( $destionation_count ) ?></div>
							</div>
						</div>
						<?php 
					} ?>
				</div>
				<?php 
			} ?>
		</div>
	</section> <!-- .pop-destination-section -->
	<?php
}
