<?php 
$ed_stat_counter 	 	= get_theme_mod( 'ed_stat_counter_section', false );
$default_bg      		= get_template_directory_uri() . '/images/stat-counter-bg.jpg';
$stat_counter_bg 		= get_theme_mod( 'stat_counter_bg_image', $default_bg );
$stat_counter_title		= get_theme_mod( 'stat_counter_title', __( 'Stats Counter', 'adventure-travel' ) );
$stat_counter_desc		= get_theme_mod( 'stat_counter_desc', __( 'Let your visitors know why they should trust you.', 'adventure-travel' ) );
$stat_counter 			= get_theme_mod( 'stat_counter' );
$statcounter_layout 	= get_theme_mod( 'statcounter_layout', 'one' );

if( $ed_stat_counter && $stat_counter ){ 
	if( $stat_counter_bg ){
		$style = ' style="background-image: url('. esc_url( $stat_counter_bg ) .'); background-repeat: no-repeat;"';
	}?>
	<section class="stat-counter-section <?php echo 'lay-' . $statcounter_layout; ?>" <?php if( $stat_counter_bg ) echo $style ?>>
		<div class="container">
			<?php 
			if( $stat_counter_title || $stat_counter_desc ){ ?>
				<h2 class="section-title">
					<span><?php echo esc_html( $stat_counter_title, 'adventure-travel' ); ?></span>
				</h2>
				<div class="section-desc">
					<?php echo esc_html( $stat_counter_desc, 'adventure-travel' ); ?>
				</div>
				<?php 
			} ?>
			<div class="section-grid">
				<?php 
				foreach ( $stat_counter as $counter ) { ?>
					<div class="section-block">
						<div class="section-block-inner">
							<div class="counter-icon">
								<i class="<?php echo $counter['font']; ?>"></i>
							</div>
							<div class="counter-num">
								<?php echo $counter['number']; ?>
							</div>
							<div class="counter-title"><?php echo $counter['title']; ?></div>
						</div>
					</div>
					<?php 
				} ?>	
			</div>
		</div>
	</section> <!-- .stat-counter-section -->
<?php } ?>