<?php 
$ed_testimonial 	= get_theme_mod( 'ed_testimonial_section', false );
$testimonial_title 	= get_theme_mod( 'testimonial_title', __( 'Testimonials', 'adventure-travel' ) );
$testimonial_desc 	= get_theme_mod( 'testimonial_desc', __( 'Show what your customers say about and how they give comments', 'adventure-travel' ) );
$default_bg      	=  get_template_directory_uri() . '/images/testimonial-bg.jpg';
$testimonial_bg 	=  get_theme_mod( 'testimonial_bg_image', $default_bg );
$testimonial_cat    = get_theme_mod( 'testimonial_cat' );

$testimonial_args = array(
    'post_type' => 'post',
    'cat' => $testimonial_cat,
    
);
$testimonial_qry = new WP_Query( $testimonial_args );
if( $ed_testimonial && $testimonial_cat ){
	if( $testimonial_bg ){
		$style = ' style="background-image: url('. esc_url( $testimonial_bg ) .'); background-repeat: no-repeat;"';
	}
	?>
	<section class="testimonial-section" <?php if( $testimonial_bg ) echo $style ?>>
		<div class="container">
			<?php 
			if( $testimonial_title || $testimonial_desc ){ ?>
				<h2 class="section-title">
					<span><?php echo esc_html( $testimonial_title, 'adventure-travel' ); ?></span>
				</h2>
				<div class="section-desc">
					<?php echo esc_html( $testimonial_desc, 'adventure-travel' ); ?>
				</div>
				<?php 
			} 
			if( $testimonial_qry->have_posts() ){ ?>
				<div class="section-grid owl-carousel">
					<?php 
					while( $testimonial_qry->have_posts() ){
	                	$testimonial_qry->the_post();
	                	$labtheme_setting = get_post_meta( $post->ID, '_labtheme_setting', true ); ?>
						<div class="section-block">
							<div class="testimonial-name"><?php the_title(); ?></div>
							<div class="testimonial-meta">
								<div class="testimonial-subtitle">
									<?php echo isset($labtheme_setting['testimonial']['position']) ? esc_attr(', '.$labtheme_setting['testimonial']['position']): ''; ?>
								</div>
							</div>
							<div class="testimonial-content">
								<?php the_content(); ?>
							</div>
							<div class="testimonial-image">
								<?php
                                if( has_post_thumbnail() ){
                                    the_post_thumbnail( 'adventure-travel-480x604', array( 'itemprop' => 'image' ) );
                                }else{ 
                                    echo '<img src="' . get_template_directory_uri() . '/images/fallback/image-size-480x604.jpg" alt="">';
                                }                          
	                            ?>
							</div>
						</div>
						<?php 
					}
					wp_reset_postdata(); ?>
				</div>
				<?php 
			} ?>
		</div>
	</section> <!-- .testimonial-section -->
	<?php 
} ?>